Bug 1404086 (CVE-2016-9895)

Summary: CVE-2016-9895 Mozilla: CSP bypass using marquee tag (MFSA 2016-94, MFSA 2016-95)
Product: [Other] Security Response Reporter: Huzaifa S. Sidhpurwala <huzaifas>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: cschalle, jhorak, security-response-team, stransky
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=moderate,public=20161214,reported=20161213,source=mozilla,cvss2=4.3/AV:N/AC:M/Au:N/C:N/I:P/A:N,cvss3=6.1/CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:C/C:L/I:L/A:N,rhel-5/firefox=affected,rhel-6/firefox=affected,rhel-7/firefox=affected,rhel-5/thunderbird=affected,rhel-6/thunderbird=affected,rhel-7/thunderbird=affected
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-12-22 05:51:33 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 1403856    

Description Huzaifa S. Sidhpurwala 2016-12-13 03:02:55 UTC
Event handlers on <code>marquee</code> elements were executed despite a strict Content Security Policy (CSP) that disallowed inline JavaScript.


External Reference:

https://www.mozilla.org/security/announce/2016/mfsa2016-95/#CVE-2016-9895


Acknowledgements:

Name: the Mozilla project
Upstream: Andrew Krasichkov

Comment 1 errata-xmlrpc 2016-12-14 10:01:56 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 7

Via RHSA-2016:2946 https://rhn.redhat.com/errata/RHSA-2016-2946.html

Comment 2 errata-xmlrpc 2016-12-21 10:01:08 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 7

Via RHSA-2016:2973 https://rhn.redhat.com/errata/RHSA-2016-2973.html